// Author		:	Buliwyf (buliwyf@gdt-server.net) www.gdt-server.net
// Last edited	:	30/06/2013
// Server/Client:	Serverside only
// Called from	:	GDT_1stPersonView.pbo
// Called using	: 	Extended_PreInit_EventHandler
// Time Called	:	Before Time 0 
// Description	:	Creates a game logic in the mission
//					This forces 1st person view to the players while they are not in a vehicle

if (isServer) then {
	_init = '
		if (!isDedicated) then {
			GDT_1stPersonView = this;
			[] spawn {
				waitUntil {!isNull player};
				diag_log ''launching no 3rd PoV loop'';
				while {true} do {
				sleep 0.125;
				waitUntil {((((cameraView == ''EXTERNAL'') and ((vehicle player) == player)) or (cameraView == ''GROUP'')) and alive player)};
				(vehicle player) switchCamera ''INTERNAL'';
				};
			};
		}';
	"LOGIC" createUnit [[1,1,1], (createGroup sideLogic), _init, 0.5, "CORPORAL"];
  };
